Как запустить интерактивную карту zabbix на версии 4.x

Все, кто пользуется ZABBIX в своей работе с интерактивной картой заметили, что после перехода на 4-ю версию на карте имеется куча ошибок.

В 4 версии поменялся вьюшка common.filter.trigger
Общался с автором данной карты, в планах у него есть разобраться с этой проблемой и переписать карту под 4 версию, но времени пока нет. Предлагал даже помочь финансово, сказал, что не требуется и дело не в деньгах, а во времени.

Для начала нам необходимо иметь карту для версии 3.2-3.4. Устанавливаем ее.

Чтобы убрать ошибки, нам необходимо убрать (отключить) фильтр выбора триггеров.

Для этого необходимо закомментировать следующие строчки в файле imap.php

Строки — 201-203
Строки — 205-208
Строки — 525-554
И еще необходимо в строке 552 добавить строчку

$_REQUEST[‘fullscreen’] = True;
После этого ошибок больше быть не должно. Это конечно временное решение, как только появится новая версия, я обязательно сделаю запись.

Плюсы временного решения:

  • У вас есть карта с расположенными объектами
  • Вы можете так же делать связи с объектами
  • Видеть статусы и триггеры узлов
Минусы временного решения:

  • Не работает поиск
  • Не работает фильтр
Но хоть так…
Источник
Поделиться:

Нет комментариев